worldObj = require("../storageObjects/worldObj")

messageObj = {
  messages: [],
  add:(level, message) => {
    messageObj.messages.push([level,message, worldObj.step])
  },
  print:(level)=> {
    messageObj.messages.forEach((element,index) => {
      if (element[0] == level){
        console.log("Message: "+element[0]+": "+element[1])
        messageObj.messages.splice(index,1)
      }
    })
  },
  wipe:(length = 0)=> {
    if (length == 0){
      messageObj.messages = []
    } else {
      messageObj.messages.forEach((message,index) => {
        if (message[2] < (worldObj.step-length)){
          messageObj.messages.splice(index,1)
        }
      })
    }
  }
}

module.exports = messageObj