config = {
  secret: "Keenly-Resident-Circular4",
  mongoUrl: "mongodb://10.0.0.2:27017",
  express: {
    port: 8888
  },
  boundry: {
    top: 100,
    right: 100
  },
  creature:{
    physical: {
      maxEnergy: 20,
      activationValue: 50,
      defaultSpeed: 5,
      maxAge: 50,
      eatFoodLevel: 4,
      mutateFraction: 0.01,
      birthCost: 6,
      birthEnergy: 5
    },
    brain: {
      size: 5,
      complexity: 10,
      oscillatorFrequency: 10
    },
  },
  world: {
    foodReward: 10,
    tileMaxFood: 500,
    tileDefaultFood: 100,
    tileFoodGrowChance: 0.1
  },
  defaultOwner: "Nobody",
  genesisCreaturesPerUser: 20,
  maxPop: 10000,
  timers: {
    preGame: 6000,
    gameStep: 3000
  },
  powers:{
    transferEnergyBuyCost: 100,
    saveCreatureBuyCost: 100000,
    spawnCreatureBuyCost: 500000,
    mutateCreatureBuyCost: 10000,
    feedCreatureBuyCost: 1000,
    growFoodBuyCost: 10000,
    deleteFoodBuyCost: 50000,
    bombBuyCost: 10000,
  }
}

module.exports = config
